GNU bug report logs - #13094
Problem with emacsclient not raising frame is back

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: nyc4bos@HIDDEN; dated Wed, 5 Dec 2012 23:27:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 1 Feb 2013 21:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 01 16:09:46 2013
Received: from localhost ([127.0.0.1]:59838 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U1Nrl-0004NL-Ga
	for submit <at> debbugs.gnu.org; Fri, 01 Feb 2013 16:09:46 -0500
Received: from imr-mb01.mx.aol.com ([64.12.207.164]:53628)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nyc4bos@HIDDEN>) id 1U1Nrh-0004N0-3d
	for 13094 <at> debbugs.gnu.org; Fri, 01 Feb 2013 16:09:43 -0500
Received: from mtaout-ma03.r1000.mx.aol.com (mtaout-ma03.r1000.mx.aol.com
	[172.29.41.3])
	by imr-mb01.mx.aol.com (Outbound Mail Relay) with ESMTP id
	09E361C000106; Fri,  1 Feb 2013 16:08:51 -0500 (EST)
Received: from RPLSBCAPC02 (unknown [63.117.244.126])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mtaout-ma03.r1000.mx.aol.com (MUA/Third Party Client Interface) with
	ESMTPSA id 9DC68E0001E8; Fri,  1 Feb 2013 16:08:50 -0500 (EST)
From: nyc4bos@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13094: Problem with emacsclient not raising frame is back --
	regression
References: <xl5k3swrshm.fsf@HIDDEN> <xl5a9tfawpb.fsf@HIDDEN>
	<87pq1lzm97.fsf@HIDDEN> <xl5pq0nhfxz.fsf@HIDDEN>
	<83txpyh6fm.fsf@HIDDEN>
Date: Fri, 01 Feb 2013 16:08:40 -0500
In-Reply-To: <83txpyh6fm.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 30 Jan
	2013 20:27:57 +0200")
Message-ID: <xl5zjzn4u93.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
	s=20121107; t=1359752930;
	bh=Srz6NE1MRq5U5nyijhNG9MWG23OdQyI1Od0+0BYzUVk=;
	h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
	b=rCf++4YrDjRyAqXkchqlIHDrvCr+M2qLdNT3pAn9sOyMYDrXhMuAmt2qWVj1eaTGV
	l4c0APX4uqW/3VWN0UFzw1cxcxn1CDu35aIOJDBuMu34qZDIZ6oPFnKgqM2BrQHMAm
	7ePpQYLwApZFXV/atRMFG45Vow/Gkv+YxQXb0VRo=
X-AOL-SCOLL-SCORE: 0:2:381708832:93952408  
X-AOL-SCOLL-URL_COUNT: 0  
x-aol-sid: 3039ac1d2903510c2ee26613
X-AOL-IP: 63.117.244.126
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 13094
Cc: 13094 <at> debbugs.gnu.org, lekktu@HIDDEN, cyd@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.2 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> My analysis of this is that it has nothing to do with emacsclient per
> se, and neither is it a regression since Emacs 24.1: I see the same
> behavior in stock 24.1 on 2 different Windows machines.  (It _is_ a
> regression from Emacs 23.3, though.)  So the old bug reports where you
> reported similar problems sound unrelated to this one, if indeed they
> were resolved (of which I'm not sure).
>
> The reason for this problem is that raise-frame on Windows does not
> raise the frame to the top of z-order, in this particular use case.
> It just gives that frame input focus (which you can see if you make
> the cursor of the Emacs frame visible before running the emacsclient
> command the 2nd time: you will see the cursor starts blinking).  To
> see that raise-frame is th culprit, modify your recipe like this,
> after step 4:
>
> 4.1. Type into the *scratch* buffer:
>
>   (defun raise-frame-by-name (name)
>     ""
>     (let* ((frame-names-alist (make-frame-names-alist))
> 	   (frame (cdr (assoc name frame-names-alist))))
>       (when frame
> 	(message "Raising %s..." frame)
> 	(raise-frame frame))))
>
> 4.2  Evaluate this function.
>
> 4.3  Click on the Command Prompt window to make it the foreground
> window.  Then move the Command Prompt window on display so that the
> echo area of the Emacs's frame is visible.
>
> 5. Execute the following command from the Command Prompt window:
>
>    C:\emacs-24.3.50\bin\emacsclient.exe -n
>        --eval "(raise-frame-by-name \"emacs@<SYSTEM>\")"
>
> You will see the "Raising" message in the echo area of Emacs, but the
> frame will not come to the forefront.
>
> Doing the same in Emacs 23.3 does bring the frame to the forefront.
>
> Conclusion: emacsclient does its job by telling Emacs to invoke
> raise-frame, and Emacs does.  But raise-frame does not produce the
> expected effect.
>
> I believe this change in behavior since 23.3 is a side effect of
> fixing another bug:
>
>  http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11513
>
> That change fixed a similar, but evidently distinct aspect of
> raise-frame's behavior.  We could try reverting that change, but then
> there will be another user who will claim that a bug solved long ago
> "is back".
>
> It would be nice to solve this problem without un-fixing the other
> one.  But for this, Someone(TM) who knows much more than I do about
> Windows GUI should step forward and show us how to do that.  We don't
> have such a knowledgeable person on board at this time, unfortunately.
>
> As a temporary workaround, you could customize w32-grab-focus-on-raise
> to nil; my testing indicates that you will have the behavior you want
> then.

Thanks for your thorough analysis aand explanation.

Yes, this temporary workaround raises the frame.

Unfortunatly, it doesn't also gain focus like when it starts out
being iconified and then the command is invoked, at least not for me.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 30 Jan 2013 18:29:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 30 13:29:18 2013
Received: from localhost ([127.0.0.1]:56092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0cPN-0006qG-AD
	for submit <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:29:18 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:37937)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1U0cPJ-0006q3-7j
	for 13094 <at> debbugs.gnu.org; Wed, 30 Jan 2013 13:29:15 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
	a-mtaout22.012.net.il (HyperSendmail v2007.08) id
	<0MHG00100B5QHY00@HIDDEN> for
	13094 <at> debbugs.gnu.org; Wed, 30 Jan 2013 20:28:10 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MHG0016VBAXB240@HIDDEN>;
	Wed, 30 Jan 2013 20:28:10 +0200 (IST)
Date: Wed, 30 Jan 2013 20:27:57 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#13094: Problem with emacsclient not raising frame is back --
	regression
In-reply-to: <xl5pq0nhfxz.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: nyc4bos@HIDDEN
Message-id: <83txpyh6fm.fsf@HIDDEN>
References: <xl5k3swrshm.fsf@HIDDEN> <xl5a9tfawpb.fsf@HIDDEN>
	<87pq1lzm97.fsf@HIDDEN> <xl5pq0nhfxz.fsf@HIDDEN>
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 13094
Cc: 13094 <at> debbugs.gnu.org, lekktu@HIDDEN, cyd@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

> From: nyc4bos@HIDDEN
> Cc: 13094 <at> debbugs.gnu.org,  Juanma Barranquero <lekktu@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
> Date: Tue, 29 Jan 2013 15:50:16 -0500
> 
> 0. On MS Windows open up at least one application so that you have
>    at least one Window on the screen.
> 1. C:\emacs-24.2.92\bin\runemacs.exe -Q
> 
>    When the Emacs frame appears, position it so that it is on top
>    of the an application you previously opened.
> 
> 2. M-x server-start
> 3. Iconify Emacs
> 4. From a MS Windows command prompt, type the following (on one line):
> 
>   C:\emacs-24.3.50\bin\emacsclient.exe -n
>       --eval "(select-frame-by-name \"emacs@<SYSTEM>\")"
> 
>   where <SYSTEM> is your system name so that NAME matches the name of
>   the Emacs titlebar.
> 
>   Emacs should now be deiconified, at the forefront (raised), and ready
>   for input.
> 
> 5. Click on the MS Window command prompt and execute step 4 again
> 
> You should then notice that Emacs does NOT come to the forefront (top-most
> raised Window) but that the MS Windows command prompt Window is still
> selected after step 4.
> 
> You should also see that the Gnu Emacs (tile?) at the bottom of the screen
> "blinks" but the Emacs frame is not raised and selected.

Thanks.  Now I understand the problem and its reason(s).

> [FWIW, if I use the emacsclient.exe from Lennart's patched version:
> 
> GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600) of 2009-11-03 on LENNART-69DE564 (patched)
> 
> against the latest Gnu Emacs pretest available to me (Bzr revision: 111199)
> or the trunk version (Bzr revision 111604), it works as expected.]

This is not really relevant: Lennart's emacsclient is such a different
beast in how it launches Emacs that it is impossible to reason about
this issue from what that emacsclient does or doesn't do.  So let's
forget about this part of the puzzle.

My analysis of this is that it has nothing to do with emacsclient per
se, and neither is it a regression since Emacs 24.1: I see the same
behavior in stock 24.1 on 2 different Windows machines.  (It _is_ a
regression from Emacs 23.3, though.)  So the old bug reports where you
reported similar problems sound unrelated to this one, if indeed they
were resolved (of which I'm not sure).

The reason for this problem is that raise-frame on Windows does not
raise the frame to the top of z-order, in this particular use case.
It just gives that frame input focus (which you can see if you make
the cursor of the Emacs frame visible before running the emacsclient
command the 2nd time: you will see the cursor starts blinking).  To
see that raise-frame is th culprit, modify your recipe like this,
after step 4:

4.1. Type into the *scratch* buffer:

  (defun raise-frame-by-name (name)
    ""
    (let* ((frame-names-alist (make-frame-names-alist))
	   (frame (cdr (assoc name frame-names-alist))))
      (when frame
	(message "Raising %s..." frame)
	(raise-frame frame))))

4.2  Evaluate this function.

4.3  Click on the Command Prompt window to make it the foreground
window.  Then move the Command Prompt window on display so that the
echo area of the Emacs's frame is visible.

5. Execute the following command from the Command Prompt window:

   C:\emacs-24.3.50\bin\emacsclient.exe -n
       --eval "(raise-frame-by-name \"emacs@<SYSTEM>\")"

You will see the "Raising" message in the echo area of Emacs, but the
frame will not come to the forefront.

Doing the same in Emacs 23.3 does bring the frame to the forefront.

Conclusion: emacsclient does its job by telling Emacs to invoke
raise-frame, and Emacs does.  But raise-frame does not produce the
expected effect.

I believe this change in behavior since 23.3 is a side effect of
fixing another bug:

 http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11513

That change fixed a similar, but evidently distinct aspect of
raise-frame's behavior.  We could try reverting that change, but then
there will be another user who will claim that a bug solved long ago
"is back".

It would be nice to solve this problem without un-fixing the other
one.  But for this, Someone(TM) who knows much more than I do about
Windows GUI should step forward and show us how to do that.  We don't
have such a knowledgeable person on board at this time, unfortunately.

As a temporary workaround, you could customize w32-grab-focus-on-raise
to nil; my testing indicates that you will have the behavior you want
then.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 29 Jan 2013 20:51:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 29 15:51:04 2013
Received: from localhost ([127.0.0.1]:54691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1U0I91-0005CH-O9
	for submit <at> debbugs.gnu.org; Tue, 29 Jan 2013 15:51:04 -0500
Received: from imr-db03.mx.aol.com ([205.188.91.97]:33051)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nyc4bos@HIDDEN>) id 1U0I8y-0005Br-Ke
	for 13094 <at> debbugs.gnu.org; Tue, 29 Jan 2013 15:51:01 -0500
Received: from mtaout-db01.r1000.mx.aol.com (mtaout-db01.r1000.mx.aol.com
	[172.29.51.193])
	by imr-db03.mx.aol.com (Outbound Mail Relay) with ESMTP id
	5E614380000A1; Tue, 29 Jan 2013 15:50:27 -0500 (EST)
Received: from RPLSBCAPC02 (unknown [63.117.244.126])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mtaout-db01.r1000.mx.aol.com (MUA/Third Party Client Interface) with
	ESMTPSA id B2138E0000A1; Tue, 29 Jan 2013 15:50:25 -0500 (EST)
From: nyc4bos@HIDDEN
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#13094: Problem with emacsclient not raising frame is back --
	regression
References: <xl5k3swrshm.fsf@HIDDEN> <xl5a9tfawpb.fsf@HIDDEN>
	<87pq1lzm97.fsf@HIDDEN>
Date: Tue, 29 Jan 2013 15:50:16 -0500
In-Reply-To: <87pq1lzm97.fsf@HIDDEN> (Chong Yidong's message of "Fri, 04 Jan
	2013 10:59:32 +0800")
Message-ID: <xl5pq0nhfxz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
	s=20121107; t=1359492627;
	bh=HbHzSPlIfrUStpmwU5pRmeVwr1Uh384hf6S7KKI6rHw=;
	h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
	b=AH/32BmpOrowf1Uz7FX6jHFwT3GPJXgXTdaeK09kazvxj2Oyw37A1gcl75bP2yXDF
	FwWQadDp1c/bPr7tBfNiLYA4pobZjl0xvtJu5jzQKNS9IqCW8dOCi8K4SDEZ4peoKM
	DL8+7yKMq7+U2um3ZzDNs8XekP9KHTT96TysTdFs=
X-AOL-SCOLL-SCORE: 0:2:432005152:93952408  
X-AOL-SCOLL-URL_COUNT: 0  
x-aol-sid: 3039ac1d33c1510836110d5e
X-AOL-IP: 63.117.244.126
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 13094
Cc: 13094 <at> debbugs.gnu.org, Juanma Barranquero <lekktu@HIDDEN>,
	Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.4 (--)

Hi,

Eli asked for a clear reproducible recipe not referenced in older reports:

http://lists.gnu.org/archive/html/emacs-devel/2013-01/msg00627.html

So here is the clear recipe consolidated in this bug report:

0. On MS Windows open up at least one application so that you have
   at least one Window on the screen.
1. C:\emacs-24.2.92\bin\runemacs.exe -Q

   When the Emacs frame appears, position it so that it is on top
   of the an application you previously opened.

2. M-x server-start
3. Iconify Emacs
4. From a MS Windows command prompt, type the following (on one line):

  C:\emacs-24.3.50\bin\emacsclient.exe -n
      --eval "(select-frame-by-name \"emacs@<SYSTEM>\")"

  where <SYSTEM> is your system name so that NAME matches the name of
  the Emacs titlebar.

  Emacs should now be deiconified, at the forefront (raised), and ready
  for input.

5. Click on the MS Window command prompt and execute step 4 again

You should then notice that Emacs does NOT come to the forefront (top-most
raised Window) but that the MS Windows command prompt Window is still
selected after step 4.

You should also see that the Gnu Emacs (tile?) at the bottom of the screen
"blinks" but the Emacs frame is not raised and selected.


[FWIW, if I use the emacsclient.exe from Lennart's patched version:

GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600) of 2009-11-03 on LENNART-69DE564 (patched)

against the latest Gnu Emacs pretest available to me (Bzr revision: 111199)
or the trunk version (Bzr revision 111604), it works as expected.]

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.
Severity set to 'normal' from 'important' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 4 Jan 2013 21:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 04 16:08:00 2013
Received: from localhost ([127.0.0.1]:43930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TrEUe-00080j-Gn
	for submit <at> debbugs.gnu.org; Fri, 04 Jan 2013 16:08:00 -0500
Received: from imr-da02.mx.aol.com ([205.188.105.144]:65157)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nyc4bos@HIDDEN>) id 1TrEUY-00080d-2v
	for 13094 <at> debbugs.gnu.org; Fri, 04 Jan 2013 16:07:54 -0500
Received: from mtaout-mb04.r1000.mx.aol.com (mtaout-mb04.r1000.mx.aol.com
	[172.29.41.68])
	by imr-da02.mx.aol.com (Outbound Mail Relay) with ESMTP id
	2AAAF1C0000BB; Fri,  4 Jan 2013 16:07:41 -0500 (EST)
Received: from RPLSBCAPC04 (unknown [63.117.244.126])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mtaout-mb04.r1000.mx.aol.com (MUA/Third Party Client Interface) with
	ESMTPSA id D4726E0000A6; Fri,  4 Jan 2013 16:07:40 -0500 (EST)
From: nyc4bos@HIDDEN
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#13094: Problem with emacsclient not raising frame is back --
	regression
References: <xl5k3swrshm.fsf@HIDDEN> <xl5a9tfawpb.fsf@HIDDEN>
	<87pq1lzm97.fsf@HIDDEN>
Date: Fri, 04 Jan 2013 16:07:29 -0500
In-Reply-To: <87pq1lzm97.fsf@HIDDEN> (Chong Yidong's message of "Fri, 04 Jan
	2013 10:59:32 +0800")
Message-ID: <xl5mwwo3be6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
	s=20121107; t=1357333661;
	bh=G/VTZHXwb6vnkU/wSJKRZqA3ewvFe4f0z9jxILHBhKA=;
	h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
	b=Hq9sP+1+JuEidE5FklyONKha3e2oSwAY3iEQuLt/8mkGmM2qXzFT691foZWz0B05V
	zZdnF2Sr9CMC6R1MHHnsgYEKwh/5VVowsCKjm61Jx/4RoZdIi+OXYqOt+AjWb69rUb
	OlRhLE2U8Sa0n6OINEvd1u3FMinKwfb9Qp/6yvvI=
X-AOL-SCOLL-SCORE: 0:2:417600672:93952408  
X-AOL-SCOLL-URL_COUNT: 0  
x-aol-sid: 3039ac1d294450e7449c210d
X-AOL-IP: 63.117.244.126
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 13094
Cc: 13094 <at> debbugs.gnu.org, Juanma Barranquero <lekktu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Chong Yidong <cyd@HIDDEN> writes:

> nyc4bos@HIDDEN writes:
>
>> There appears to be a regression in terms of this bug using the
>> latest branch version available for MS Windows (24.2.91, bzr 111040):
>
> Could you bisect to find the commit which caused this problem to occur?

I only have the provided Windows binaries.

I'll see if I can hunt them down and see which Bzr version first
exhibited the regression.

(FWIW, emacsclient.exe from Lennart's patch version against Gnu Emacs
Bzr revision: 111393 works just fine.)

GNU Emacs 23.1.50.1 (i386-mingw-nt6.1.7601) of 2009-11-03 on
LENNART-69DE564 (patched)

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 4 Jan 2013 02:59:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 03 21:59:47 2013
Received: from localhost ([127.0.0.1]:42350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TqxVb-0003ti-7N
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2013 21:59:47 -0500
Received: from mail-da0-f41.google.com ([209.85.210.41]:33705)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <seewhydee@HIDDEN>) id 1TqxVY-0003ta-JC
	for 13094 <at> debbugs.gnu.org; Thu, 03 Jan 2013 21:59:45 -0500
Received: by mail-da0-f41.google.com with SMTP id e20so7251557dak.14
	for <13094 <at> debbugs.gnu.org>; Thu, 03 Jan 2013 18:59:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:sender:from:to:cc:subject:references:date:in-reply-to
	:message-id:user-agent:mime-version:content-type;
	bh=4lrvenMqnn32TKtiPDs6mWYKRGvJ7JqqyrcTeZzx9AE=;
	b=yZrV9nikOpvY5m2HnSPzp7nCbANWmGRvfsddtuUnYi34386VHpiueD6aHXXRjx1YdV
	FP6gN5v7ZM+ni/6FPCqSZR6Af0mq2797l9RP7MswK8HCCtLWG94bU0A9/YvqXcnTETbv
	X/SEp8pvDpID3klQXneL+HJ2PbkhAJD4AnZBYSNOHCocVdxJp0p2Az2YhnfGXlypfU8r
	56XR6ZDdUOx60W/1Jk7tPHTvpUGGGLP5nL2VnPZ+6GqQwlIOlQhJBFLh6n5frKrNQjRX
	03Vgqd7CX3E9zfqrIJncJ2UXtV+lKB4GKKfKraMCKqqDxJBKytKn3tRD9WnfCqxDm2dN
	AeIQ==
X-Received: by 10.66.75.100 with SMTP id b4mr151017566paw.0.1357268379218;
	Thu, 03 Jan 2013 18:59:39 -0800 (PST)
Received: from ulysses ([155.69.16.140])
	by mx.google.com with ESMTPS id l8sm18363174pax.9.2013.01.03.18.59.35
	(version=SSLv3 cipher=OTHER); Thu, 03 Jan 2013 18:59:37 -0800 (PST)
From: Chong Yidong <cyd@HIDDEN>
To: nyc4bos@HIDDEN
Subject: Re: bug#13094: Problem with emacsclient not raising frame is back --
	regression
References: <xl5k3swrshm.fsf@HIDDEN> <xl5a9tfawpb.fsf@HIDDEN>
Date: Fri, 04 Jan 2013 10:59:32 +0800
In-Reply-To: <xl5a9tfawpb.fsf@HIDDEN> (nyc4bos@HIDDEN's message of "Sat, 15
	Dec 2012 20:26:24 +0000")
Message-ID: <87pq1lzm97.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13094
Cc: 13094 <at> debbugs.gnu.org, Juanma Barranquero <lekktu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

nyc4bos@HIDDEN writes:

> There appears to be a regression in terms of this bug using the
> latest branch version available for MS Windows (24.2.91, bzr 111040):

Could you bisect to find the commit which caused this problem to occur?
Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.
Severity set to 'important' from 'minor' Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 13094 <at> debbugs.gnu.org:


Received: (at 13094) by debbugs.gnu.org; 15 Dec 2012 20:38:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 15 15:38:42 2012
Received: from localhost ([127.0.0.1]:44393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TjyVN-0007PO-Vu
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2012 15:38:42 -0500
Received: from imr-ma05.mx.aol.com ([64.12.100.31]:53166)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nyc4bos@HIDDEN>) id 1TjyVL-0007PG-Jv
	for 13094 <at> debbugs.gnu.org; Sat, 15 Dec 2012 15:38:41 -0500
Received: from mtaout-da04.r1000.mx.aol.com (mtaout-da04.r1000.mx.aol.com
	[172.29.51.132])
	by imr-ma05.mx.aol.com (Outbound Mail Relay) with ESMTP id
	B9DD41C00009E; Sat, 15 Dec 2012 15:37:33 -0500 (EST)
Received: from RPLSBCAPC03 (unknown [63.117.244.126])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mtaout-da04.r1000.mx.aol.com (MUA/Third Party Client Interface) with
	ESMTPSA id 69CE7E00009D; Sat, 15 Dec 2012 15:37:33 -0500 (EST)
From: nyc4bos@HIDDEN
To: 13094 <at> debbugs.gnu.org
Subject: Problem with emacsclient not raising frame is back -- regression
Date: Sat, 15 Dec 2012 20:26:24 +0000
Message-ID: <xl5a9tfawpb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
	s=20121107; t=1355603853;
	bh=avMeoRaBXTXC/S0lO90Z0+1fLw0dd8Ybm1tbvOVWAlQ=;
	h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
	b=ta+ACm9EEXgAyl8K6oQrQPp8KO3L8URDcvlqrxsm+jJIbsq1pfp+QMTzm9rf2TLyY
	Qca4pvRHgETWf29Z2SukBDo+CorLqKcSQBix1JO9jNN01/Yk1/pjoKr+PIjPy9u/h6
	CufUzrthHscUWz/A7YVZyzk4NTqVszs2gH8JU5tI=
X-AOL-SCOLL-SCORE: 0:2:477297568:93952408  
X-AOL-SCOLL-URL_COUNT: 0  
x-aol-sid: 3039ac1d338450ccdf8b01ad
X-AOL-IP: 63.117.244.126
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13094
Cc: Juanma Barranquero <lekktu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)


Hi,

There appears to be a regression in terms of this bug using the
latest branch version available for MS Windows (24.2.91, bzr 111040):


In GNU Emacs 24.2.91.1 (i386-mingw-nt6.1.7601)
 of 2012-12-15 on MS-W7-DANI
Bzr revision: 111040 cyd@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -Ic:/emacs/libs/libXpm-3.5.10/include -Ic:/emacs/libs/libXpm-3.5.10/src
 -Ic:/emacs/libs/libpng-1.2.37-lib/include -Ic:/emacs/libs/zlib-1.2.5
 -Ic:/emacs/libs/giflib-4.1.4-1-lib/include
 -Ic:/emacs/libs/jpeg-6b-4-lib/include
 -Ic:/emacs/libs/tiff-3.8.2-1-lib/include
 -Ic:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -Ic:/emacs/libs/gnutls-3.0.9-w32-bin/include
 -Ic:/emacs/libs/libiconv-1.9.2-1-lib/include'


As also specified originally in bug#7658 which was fixed:

     http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7658#20

I am able to use a version of emacsclient.exe that works with
GNU Emacs 24.2.91.1 pretest which I also wrote in that bug report:

[FWIW, if I use the emacsclient.exe from Lennart's patched version:

GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600) of 2009-11-03 on LENNART-69DE564 (patched)

against the latest emacs.exe trunk version, it works as expected.]


So it would appear that since bug#7658 was fixed, a change in
emacsclient.exe since then has manifested this problem again.

It would be great if this problem were to be fixed before the next
version of GNU Emacs 24.3 were released.

Thanks.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs,w32. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Dec 2012 23:26:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 05 18:26:36 2012
Received: from localhost ([127.0.0.1]:55463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TgOMO-0006uP-82
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2012 18:26:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48018)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOMK-0006uE-AE
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2012 18:26:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOM7-00030O-AU
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2012 18:26:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_BL_SPAMCOP_NET, RCVD_IN_DNSWL_NONE, RCVD_IN_XBL, RP_MATCHES_RCVD,
	T_DKIM_INVALID autolearn=no version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:49048)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOM7-00030K-7C
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2012 18:26:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59368)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOM4-0004HL-Bs
	for bug-gnu-emacs@HIDDEN; Wed, 05 Dec 2012 18:26:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOM0-0002zm-H3
	for bug-gnu-emacs@HIDDEN; Wed, 05 Dec 2012 18:26:16 -0500
Received: from imr-da02.mx.aol.com ([205.188.105.144]:63577)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <nyc4bos@HIDDEN>) id 1TgOM0-0002ze-Co
	for bug-gnu-emacs@HIDDEN; Wed, 05 Dec 2012 18:26:12 -0500
Received: from mtaout-da03.r1000.mx.aol.com (mtaout-da03.r1000.mx.aol.com
	[172.29.51.131])
	by imr-da02.mx.aol.com (Outbound Mail Relay) with ESMTP id
	7DC2B1C0000A2
	for <bug-gnu-emacs@HIDDEN>; Wed,  5 Dec 2012 18:26:11 -0500 (EST)
Received: from RPLSBCAPC06 (unknown [63.117.244.126])
	(using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))
	(No client certificate requested)
	by mtaout-da03.r1000.mx.aol.com (MUA/Third Party Client Interface) with
	ESMTPSA id 2C645E0000A1
	for <bug-gnu-emacs@HIDDEN>; Wed,  5 Dec 2012 18:26:11 -0500 (EST)
From: nyc4bos@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: Problem with emacsclient not raising frame is back
Date: Wed, 05 Dec 2012 18:25:57 -0500
Message-ID: <xl5k3swrshm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
x-aol-global-disposition: G
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mx.aol.com;
	s=20121107; t=1354749971;
	bh=lS8ibH1tblNnPdPfgG7/YtBCgJUlytwC8zUG/qjXq9o=;
	h=From:To:Subject:Message-ID:Date:MIME-Version:Content-Type;
	b=SwrZ9M2YlhKK1YYhUjL1jVPtSUSbWbFcjN0PUd6kff7XjI3vwZPGYK+bkx1efNulY
	dDkNX3eOn1xV9gi+QLzLkOcylZ1mXXt29z0JyebgBb50ZnegdgPFgImp7HXMAodtaU
	fXR1/wXyWCVWsRLY0wKfz48dpC5wNy7gayyfJ5Dc=
X-AOL-SCOLL-SCORE: 0:2:503365440:93952408  
X-AOL-SCOLL-URL_COUNT: 0  
x-aol-sid: 3039ac1d338350bfd811058e
X-AOL-IP: 63.117.244.126
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.8 (----)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

Hi,

It appears that the problem with Emacs not raising the frame which I
originally reported (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7658)
is back.

It was fixed sometime after this release of Emacs:

GNU Emacs 24.0.92.1 (i386-mingw-nt5.1.2600) of 2011-12-06 on MARVIN

and Sun, 26 Aug 2012 22:13:07 -0400 when Juanma 

However, the problem (below) is now back (at least on Windows 7 professional):

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7658#11

"The Emacs tile (at the bottom of the screen) turns orange for a few
seconds but the Emacs instance (frame) does not come to the forefront
if it is already deiconified.

However, if it is iconified, emacsclient (calling `select-frame-by-name')
does deiconify it, as expected.

So the problem appears to be when it is deiconified and then calling
`select-frame-by-name'."


This problem is also present in the trunk bzr r111077

Thanks.


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
e:/emacs-24.2.90/etc/DEBUG.


In GNU Emacs 24.2.90.1 (i386-mingw-nt6.1.7601)
 of 2012-12-03 on MS-W7-DANI
Bzr revision: 110985 lekktu@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -Ic:/emacs/libs/libXpm-3.5.10/include -Ic:/emacs/libs/libXpm-3.5.10/src
 -Ic:/emacs/libs/libpng-1.2.37-lib/include -Ic:/emacs/libs/zlib-1.2.5
 -Ic:/emacs/libs/giflib-4.1.4-1-lib/include
 -Ic:/emacs/libs/jpeg-6b-4-lib/include
 -Ic:/emacs/libs/tiff-3.8.2-1-lib/include
 -Ic:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -Ic:/emacs/libs/gnutls-3.0.9-w32-bin/include
 -Ic:/emacs/libs/libiconv-1.9.2-1-lib/include'

Important settings:
  value of $LANG: en_US
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns disp-table w32-win
w32-vars tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer button faces cus-face macroexp files text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process w32 multi-tty
emacs)





Acknowledgement sent to nyc4bos@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13094; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.